import Modal from '/src/components/structure/modal/Modal';
import BaseButton from '/src/components/buttons/BaseButton';

export default {
    title: 'Modal',
    component: Modal,
};

const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { Modal, BaseButton },
    template: `<div style="width: 600px; margin:0 auto;">
        <Modal
            @close="showModal = false"
            title="Sign in and build your Wishlist" 
        >
            <div slot="main">
                Nunc finibus eu neque non faucibus. Pellentesque nibh nisi, cursus sit amet ligula at, rutrum tincidunt libero. Nunc purus nisi, viverra sit amet lectus vel, malesuada dictum dolor. Curabitur elementum venenatis erat. Duis convallis lorem quis ultrices venenatis. Suspendisse quis nisl vel dui elementum laoreet. Aliquam efficitur mauris ut purus tincidunt sollicitudin. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas a luctus justo. Phasellus pretium lectus quis erat commodo, eu tempor nibh sollicitudin. Integer non libero eu eros maximus pretium quis sit amet dolor. Etiam rhoncus nec ipsum at auctor.
            </div>
            <div slot="footer">
                <BaseButton
                    text="Sign in" 
                />
            </div>
        </Modal>
    </div>`,
});

export const ModalStandard = Template.bind({});
